#!/bin/sh
#
# bbdef.sh
# BIG BROTHER DEFINITIONS AREA
#

#
# NEW FOR 1.04... DISPLAY FULLY QUALIFED DOMAIN NAMES?
# i.e. aaa.bbb.com instead of just aaa
#
# FQDN="TRUE"		# YES...
FQDN=""

#
# SMM NEW FOR 1.07C
# CONFIGURATION FOR bb-network.sh
# USE lynx IF YOU MUST TEST PASSWORD PROTECTED PAGES
# LIKE Leif Ericksen <phantom@wwa.com>
# LYNX="/usr/local/bin/lynx -dump -head"
LYNX="$BBHOME/bin/bbnet"	        # WHERE bbnet LIVES
#
# INTERNET SERVICES YOU DON'T WANT TO GET PAGED ON
# WHEN THEY'RE DOWN... ASSUMPTION IS YOU WANT TO KNOW 
# ABOUT EVERYTHING RIGHT NOW...
#
NONETPAGE=""
export NONETPAGE

#
# PAGING SETUP INFORMATION
# SET THESE FOR YOUR SYSTEM, IF YOU'RE USING THIS FEATURE!
# USED BY bb-pager.sh
#
KERMIT="/usr/local/bin/kermit"          # WHERE kermit LIVES
TTYLINE="/dev/cuaa0"			# WHAT tty LINE KERMIT USES
PREFIX="T9"				# DIAL PREFIX, TONE + 9 HERE...
export KERMIT TTYLINE PREFIX

#
# WHO SHOULD BE PAGED, AND HOW...
# ENTER PAGER NUMBERS, e-mail ADDRESSES
# SMM NEW IN 1.05 PAGERDELAY - HOW MANY MINUTES BETWEEN PAGES
# SET IT REALLY HIGH TO ONLY BE PAGED ONCE...
# SET IT TO 0 FOR COMPATIBILITY WITH HOW IT USED TO WORK...
# PAGER="sean@maclawran.ca"		# THE PAGERS TO CALL/MAIL
PAGER=""				# THE PAGERS TO CALL/MAIL
MAIL="/usr/bin/mail -s"			# MAIL WITH SUBJECT FOR PAGING
PAGERDELAY=15				# DELAY IN MINUTES BETWEEN PAGES
export PAGER PAGERDELAY

#
# WHERE tmp FILES LIVE - THIS IS GOOD FOR SECURITY
# THANKS TO Alan Cox (alan@cymru.net)
#
BBTMP="$BBHOME/tmp"
export BBTMP

#
# LOCAL CLIENT MONITORING CONFIGURATION FOR bb-local.sh
#
# WARNING AND PANIC LEVELS FOR LOCAL SYSTEM INFOMRAION
#
DFWARN=90				# (YELLOW) DISK % TO WARN
DFPANIC=95				# (RED) DISK % TO PANIC
DFPAGE=Y				# PAGE ON DISK FULL (Y/N)
export DFWARN DFPANIC DFPAGE 
#
# CPU LEVELS ARE THE 5 MINUTE LOAD AVERAGE x 100
#
CPUWARN=150				# (YELLOW) WARN AT LOAD AVG OF 1.5
CPUPANIC=300				# (RED) PANIC AT LOAD AVG OF 3
CPUPAGE=N				# PAGE FOR CPU Y/N
export CPUPANIC CPUWARN CPUPAGE
#
# PROCESS MONITORING
#
PROCS="sendmail bbd"			# (YELLOW) WARN IF ONE OF THESE NOT RUNNING 
PAGEPROC="http"				# (RED) PAGE IF ONE OF THESE NOT RUNNING
#
# MESSAGE FILE MONITORING (/var/adm/messages or similar)
#
MSGS="NOTICE WARNING"			# (YELLOW) MESSAGES TO WATCH FOR 
PAGEMSG="NOTICE"			# (RED) PAGE IF WE SEE THIS MESSAGE
export PROCS PAGEPROC MSGS PAGEMSG

. ${BBHOME}/etc/bbsys.sh		# INCLUDE SYSTEM DEFINITIONS
. ${BBHOME}/etc/bbinc.sh		# INCLUDE BB DEFINITIONS

export FQDN DF MSGFILE LYNX MAIL
